# eric7.Plugins.VcsPlugins.vcsGit.GitArchiveDataDialog

Module implementing a dialog to enter the data for the creation of an archive.

### Global Attributes

None

### Classes

GitArchiveDataDialog | Class implementing a dialog to enter the data for the creation of an archive.

### Functions

None

## GitArchiveDataDialog

Class implementing a dialog to enter the data for the creation of an archive.

### Derived from

QDialog, Ui_GitArchiveDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitArchiveDataDialog | Constructor
__updateOK | Private slot to update the OK button.
getData | Public method to retrieve the entered data.
on_branchButton_toggled | Private slot to handle changes of the Branch select button.
on_branchCombo_editTextChanged | Private slot to handle changes of the Branch combo.
on_fileButton_clicked | Private slot to select a file via a file selection dialog.
on_fileEdit_textChanged | Private slot to handle changes of the file edit.
on_revButton_toggled | Private slot to handle changes of the rev select button.
on_revEdit_textChanged | Private slot to handle changes of the rev edit.
on_tagButton_toggled | Private slot to handle changes of the Tag select button.
on_tagCombo_editTextChanged | Private slot to handle changes of the Tag combo.

### Static Methods

None

#### GitArchiveDataDialog (Constructor)

GitArchiveDataDialog(tagsList, branchesList, formatsList, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
formatsList
  list of archive formats (list of strings)
parent
  reference to the parent widget (QWidget)

#### GitArchiveDataDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### GitArchiveDataDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  tuple of selected revision (string), archive format (string), archive file (string) and prefix (string)

#### GitArchiveDataDialog.on_branchButton_toggled

on_branchButton_toggled(checked)

Private slot to handle changes of the Branch select button.

checked
  state of the button (boolean)

#### GitArchiveDataDialog.on_branchCombo_editTextChanged

on_branchCombo_editTextChanged(txt)

Private slot to handle changes of the Branch combo.

txt
  text of the combo (string)

#### GitArchiveDataDialog.on_fileButton_clicked

on_fileButton_clicked()

Private slot to select a file via a file selection dialog.

#### GitArchiveDataDialog.on_fileEdit_textChanged

on_fileEdit_textChanged(txt)

Private slot to handle changes of the file edit.

txt
  text of the edit (string)

#### GitArchiveDataDialog.on_revButton_toggled

on_revButton_toggled(checked)

Private slot to handle changes of the rev select button.

checked
  state of the button (boolean)

#### GitArchiveDataDialog.on_revEdit_textChanged

on_revEdit_textChanged(txt)

Private slot to handle changes of the rev edit.

txt
  text of the edit (string)

#### GitArchiveDataDialog.on_tagButton_toggled

on_tagButton_toggled(checked)

Private slot to handle changes of the Tag select button.

checked
  state of the button (boolean)

#### GitArchiveDataDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(txt)

Private slot to handle changes of the Tag combo.

txt
  text of the combo (string)

Up